Bug 837018 - yum copies RPMs from media repo to /var/cache
yum copies RPMs from media repo to /var/cache
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
17
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 10:17 EDT by Cristian Ciupitu
Modified: 2014-01-21 18:22 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 18:52:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cristian Ciupitu 2012-07-02 10:17:09 EDT
Description of problem:
I'm using my Fedora 17 x86_64 install DVD as a yum repository and when I'm installing a package from that repository, it gets copied to /var/cache/yum/*/*/media/packages.

Version-Release number of selected component (if applicable):
yum-3.4.3-28.fc17.noarch

How reproducible:
Everytime

Steps to Reproduce:
1. Add media repository:
cat > /etc/yum.repos.d/media.repo < "EOF"
[media]
name=Fedora $releasever - $basearch media
baseurl=file:///mnt/misc/Fedora-DVDs/$releasever/$basearch/
enabled=1
gpgcheck=0
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$basearch
metadata_expire=-1
cost=500
EOF

2. Install something from the media repository, e.g. yum install bc
  
Actual results:
The bc RPM will be copied to /var/cache/yum/.../media/packages

Expected results:
The bc should not be copied.

Additional info:
yum -C install bc  fails with:
  Error Downloading Packages:
    bc-1.06.95-6.fc17.x86_64: Caching enabled but no local cache of /var/cache/yum/x86_64/17/media/packages/bc-1.06.95-6.fc17.x86_64.rpm from media
Comment 1 Zdeněk Pavlas 2012-07-12 10:12:14 EDT
ACK, This is a bug in the new downloader.. Setting 'async=0' for the repo work this around until I find out a better solution.
Comment 2 Cristian Ciupitu 2012-07-12 10:25:33 EDT
The suggested workaround fixed the issue. Thank you!
Comment 3 Fedora Update System 2012-07-20 08:23:39 EDT
python-urlgrabber-3.9.1-14.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-urlgrabber-3.9.1-14.fc17
Comment 4 Fedora Update System 2012-07-20 22:57:10 EDT
Package python-urlgrabber-3.9.1-14.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-urlgrabber-3.9.1-14.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10943/python-urlgrabber-3.9.1-14.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-08-09 18:52:11 EDT
python-urlgrabber-3.9.1-14.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.